субота, 30 травня 2009 р.

Vuze + Flash

Однією з особливостей Лінакс, яка мені страшно подобається - це автоматичне поновлення пакунків. Правда в деяких випадках це не надто зручно, особливо, коли поновлення в дистрибутиві відстає від офіційного поновлення. Правда в цьому випадку все-одно зручніше дистрибутивне поновлення, в якому "вилизуються" помилки.

Сьогодні припекло поставити Vuze (колишній azureus). Поставити з дистрибутиву - не складно, от тільки в дистрибутиві версія 3 з хвостиком, а на офіційному сайті 4.2... Тому було прийнято Соломонове рішення про ручне поновлення, що і було зроблено протягом найближчих кількох хвилин.

Перші граблі - завантажений vuze не запускається. Тобто він запускається, і каже, що swt.jar (яка йде в пакунку) лише для 32-розрядних версій. Тобто при завантаженні запитатися не можна було, про те, яка версія в мене встановлена. Ну Бог з вами, виробники vuze відсилають на сторінку swt, і в принципі не залишається нічого іншого, як туди піти.
Уважно читаємо що пише, вибираємо стабільну версію і..... попадаємо на сторінку завантаження Eclipse. Крутимо донизу в пошуках окремого SWT, і завантажуємо свою версію x86_64. Розпаковуємо до теки з vuze (в мене це /opt/vuze) та насолоджуємося запуском.

Наступні граблі - відсутня підтримка flash, який все-таки встановлений в системі. Тут вже на допомогу приходить гугл, і виявляється, що vuze шукає плагін у теці /usr/lib/xulrunner-1.9 . Одразу ж є рекомендація, про створення символічного посилання. От тільки працює вона для 32-розрядних систем. В нашому випадку слід скористатися наступним закляттям:

sudo ln -s /usr/lib/firefox/plugins/npwrapper.libflashplayer.so /usr/lib/xulrunner-1.9/plugins/libflashplayer.so

і перезавантажити vuze.

Дещо буде плисти, але загалом користуватися можна. Всі питання знову ж таки до розробників vuze ;)

Немає коментарів: